# ibl_ai_data_manager_sdk.model.Assertions

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | 
**user** | **String** |  | 
**created** | [**DateTime**](DateTime.md) |  | 
**updated** | [**DateTime**](DateTime.md) |  | 
**metadata** | [**JsonObject**](.md) |  | [optional] 
**entityId** | **String** |  | 
**issuedOn** | [**DateTime**](DateTime.md) |  | [optional] 
**revoked** | **bool** |  | [optional] 
**revocationReason** | **String** |  | [optional] 
**expiresAt** | [**DateTime**](DateTime.md) |  | [optional] 
**hashed** | **bool** |  | [optional] 
**salt** | **String** |  | [optional] 
**narrative** | **String** |  | [optional] 
**acceptance** | [**AcceptanceEnum**](AcceptanceEnum.md) |  | [optional] 
**credential** | **int** |  | 
**item** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


