# ibl_ai_data_manager_sdk.api.CatalogApi

## Load the API package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**catalogConditionalsCourseEligibilityRetrieve**](CatalogApi.md#catalogconditionalscourseeligibilityretrieve) | **GET** /api/catalog/conditionals/course/eligibility/ | 
[**catalogConditionalsCoursePrerequisitesManageBulkCreate**](CatalogApi.md#catalogconditionalscourseprerequisitesmanagebulkcreate) | **POST** /api/catalog/conditionals/course/prerequisites/manage/bulk/ | 
[**catalogConditionalsCoursePrerequisitesManageRetrieve**](CatalogApi.md#catalogconditionalscourseprerequisitesmanageretrieve) | **GET** /api/catalog/conditionals/course/prerequisites/manage/ | 
[**catalogCoursesCreate**](CatalogApi.md#catalogcoursescreate) | **POST** /api/catalog/courses/ | 
[**catalogCoursesDestroy**](CatalogApi.md#catalogcoursesdestroy) | **DELETE** /api/catalog/courses/ | 
[**catalogCoursesRetrieve**](CatalogApi.md#catalogcoursesretrieve) | **GET** /api/catalog/courses/ | 
[**catalogEligibilityCoursesCheckRetrieve**](CatalogApi.md#catalogeligibilitycoursescheckretrieve) | **GET** /api/catalog/eligibility/courses/check/ | 
[**catalogEligibilityCoursesRetrieve**](CatalogApi.md#catalogeligibilitycoursesretrieve) | **GET** /api/catalog/eligibility/courses/ | 
[**catalogEnrollmentCoursesSearchRetrieve**](CatalogApi.md#catalogenrollmentcoursessearchretrieve) | **GET** /api/catalog/enrollment/courses/search/ | 
[**catalogEnrollmentProgramsCreate**](CatalogApi.md#catalogenrollmentprogramscreate) | **POST** /api/catalog/enrollment/programs/ | 
[**catalogEnrollmentProgramsDestroy**](CatalogApi.md#catalogenrollmentprogramsdestroy) | **DELETE** /api/catalog/enrollment/programs/ | 
[**catalogEnrollmentProgramsRetrieve**](CatalogApi.md#catalogenrollmentprogramsretrieve) | **GET** /api/catalog/enrollment/programs/ | 
[**catalogIncrementCreate**](CatalogApi.md#catalogincrementcreate) | **POST** /api/catalog/increment/ | 
[**catalogIncrementRetrieve**](CatalogApi.md#catalogincrementretrieve) | **GET** /api/catalog/increment/ | 
[**catalogInvitationsCourseBulkCreate**](CatalogApi.md#cataloginvitationscoursebulkcreate) | **POST** /api/catalog/invitations/course/bulk/ | 
[**catalogInvitationsCourseCreate**](CatalogApi.md#cataloginvitationscoursecreate) | **POST** /api/catalog/invitations/course/ | 
[**catalogInvitationsCourseDestroy**](CatalogApi.md#cataloginvitationscoursedestroy) | **DELETE** /api/catalog/invitations/course/ | 
[**catalogInvitationsCourseRedeemCreate**](CatalogApi.md#cataloginvitationscourseredeemcreate) | **POST** /api/catalog/invitations/course/redeem/ | 
[**catalogInvitationsCourseRetrieve**](CatalogApi.md#cataloginvitationscourseretrieve) | **GET** /api/catalog/invitations/course/ | 
[**catalogInvitationsPlatformBulkCreate**](CatalogApi.md#cataloginvitationsplatformbulkcreate) | **POST** /api/catalog/invitations/platform/bulk/ | 
[**catalogInvitationsPlatformCreate**](CatalogApi.md#cataloginvitationsplatformcreate) | **POST** /api/catalog/invitations/platform/ | 
[**catalogInvitationsPlatformDestroy**](CatalogApi.md#cataloginvitationsplatformdestroy) | **DELETE** /api/catalog/invitations/platform/ | 
[**catalogInvitationsPlatformRedeemCreate**](CatalogApi.md#cataloginvitationsplatformredeemcreate) | **POST** /api/catalog/invitations/platform/redeem/ | 
[**catalogInvitationsPlatformRetrieve**](CatalogApi.md#cataloginvitationsplatformretrieve) | **GET** /api/catalog/invitations/platform/ | 
[**catalogInvitationsProgramBulkCreate**](CatalogApi.md#cataloginvitationsprogrambulkcreate) | **POST** /api/catalog/invitations/program/bulk/ | 
[**catalogInvitationsProgramCreate**](CatalogApi.md#cataloginvitationsprogramcreate) | **POST** /api/catalog/invitations/program/ | 
[**catalogInvitationsProgramDestroy**](CatalogApi.md#cataloginvitationsprogramdestroy) | **DELETE** /api/catalog/invitations/program/ | 
[**catalogInvitationsProgramRedeemCreate**](CatalogApi.md#cataloginvitationsprogramredeemcreate) | **POST** /api/catalog/invitations/program/redeem/ | 
[**catalogInvitationsProgramRetrieve**](CatalogApi.md#cataloginvitationsprogramretrieve) | **GET** /api/catalog/invitations/program/ | 
[**catalogMetadataChoicesRetrieve**](CatalogApi.md#catalogmetadatachoicesretrieve) | **GET** /api/catalog/metadata/choices/ | 
[**catalogMetadataCourseCreate**](CatalogApi.md#catalogmetadatacoursecreate) | **POST** /api/catalog/metadata/course/ | 
[**catalogMetadataCourseCreate2**](CatalogApi.md#catalogmetadatacoursecreate2) | **POST** /api/catalog/metadata/course/{field}/ | 
[**catalogMetadataCoursePublicRetrieve**](CatalogApi.md#catalogmetadatacoursepublicretrieve) | **GET** /api/catalog/metadata/course-public/ | 
[**catalogMetadataCoursePublicRetrieve2**](CatalogApi.md#catalogmetadatacoursepublicretrieve2) | **GET** /api/catalog/metadata/course-public/{field}/ | 
[**catalogMetadataCourseRetrieve**](CatalogApi.md#catalogmetadatacourseretrieve) | **GET** /api/catalog/metadata/course/ | 
[**catalogMetadataCourseRetrieve2**](CatalogApi.md#catalogmetadatacourseretrieve2) | **GET** /api/catalog/metadata/course/{field}/ | 
[**catalogMetadataProgramCreate**](CatalogApi.md#catalogmetadataprogramcreate) | **POST** /api/catalog/metadata/program/ | 
[**catalogMetadataProgramCreate2**](CatalogApi.md#catalogmetadataprogramcreate2) | **POST** /api/catalog/metadata/program/{field}/ | 
[**catalogMetadataProgramPublicRetrieve**](CatalogApi.md#catalogmetadataprogrampublicretrieve) | **GET** /api/catalog/metadata/program-public/ | 
[**catalogMetadataProgramPublicRetrieve2**](CatalogApi.md#catalogmetadataprogrampublicretrieve2) | **GET** /api/catalog/metadata/program-public/{field}/ | 
[**catalogMetadataProgramRetrieve**](CatalogApi.md#catalogmetadataprogramretrieve) | **GET** /api/catalog/metadata/program/ | 
[**catalogMetadataProgramRetrieve2**](CatalogApi.md#catalogmetadataprogramretrieve2) | **GET** /api/catalog/metadata/program/{field}/ | 
[**catalogMilestonesCompletionsCourseCatalogRetrieve**](CatalogApi.md#catalogmilestonescompletionscoursecatalogretrieve) | **GET** /api/catalog/milestones/completions/course/catalog/ | 
[**catalogMilestonesCompletionsCourseManageCreate**](CatalogApi.md#catalogmilestonescompletionscoursemanagecreate) | **POST** /api/catalog/milestones/completions/course/manage/ | 
[**catalogMilestonesCompletionsCourseManageRetrieve**](CatalogApi.md#catalogmilestonescompletionscoursemanageretrieve) | **GET** /api/catalog/milestones/completions/course/manage/ | 
[**catalogMilestonesCompletionsResourceManageCreate**](CatalogApi.md#catalogmilestonescompletionsresourcemanagecreate) | **POST** /api/catalog/milestones/completions/resource/manage/ | 
[**catalogMilestonesCompletionsResourceManageRetrieve**](CatalogApi.md#catalogmilestonescompletionsresourcemanageretrieve) | **GET** /api/catalog/milestones/completions/resource/manage/ | 
[**catalogMilestonesSkillPointsBlockCreate**](CatalogApi.md#catalogmilestonesskillpointsblockcreate) | **POST** /api/catalog/milestones/skill_points/block/ | 
[**catalogMilestonesSkillPointsBlockRetrieve**](CatalogApi.md#catalogmilestonesskillpointsblockretrieve) | **GET** /api/catalog/milestones/skill_points/block/ | 
[**catalogMilestonesSkillPointsCourseCreate**](CatalogApi.md#catalogmilestonesskillpointscoursecreate) | **POST** /api/catalog/milestones/skill_points/course/ | 
[**catalogMilestonesSkillPointsCourseRetrieve**](CatalogApi.md#catalogmilestonesskillpointscourseretrieve) | **GET** /api/catalog/milestones/skill_points/course/ | 
[**catalogMilestonesSkillPointsUserRetrieve**](CatalogApi.md#catalogmilestonesskillpointsuserretrieve) | **GET** /api/catalog/milestones/skill_points/user/ | 
[**catalogPathwaysCreate**](CatalogApi.md#catalogpathwayscreate) | **POST** /api/catalog/pathways/ | 
[**catalogPathwaysDestroy**](CatalogApi.md#catalogpathwaysdestroy) | **DELETE** /api/catalog/pathways/ | 
[**catalogPathwaysRetrieve**](CatalogApi.md#catalogpathwaysretrieve) | **GET** /api/catalog/pathways/ | 
[**catalogProgramsCreate**](CatalogApi.md#catalogprogramscreate) | **POST** /api/catalog/programs/ | 
[**catalogProgramsDestroy**](CatalogApi.md#catalogprogramsdestroy) | **DELETE** /api/catalog/programs/ | 
[**catalogProgramsRetrieve**](CatalogApi.md#catalogprogramsretrieve) | **GET** /api/catalog/programs/ | 
[**catalogRecommendationCoursesRetrieve**](CatalogApi.md#catalogrecommendationcoursesretrieve) | **GET** /api/catalog/recommendation/courses/ | 
[**catalogResourcesCreate**](CatalogApi.md#catalogresourcescreate) | **POST** /api/catalog/resources/ | 
[**catalogResourcesDestroy**](CatalogApi.md#catalogresourcesdestroy) | **DELETE** /api/catalog/resources/ | 
[**catalogResourcesRetrieve**](CatalogApi.md#catalogresourcesretrieve) | **GET** /api/catalog/resources/ | 
[**catalogReviewsCoursesCreate**](CatalogApi.md#catalogreviewscoursescreate) | **POST** /api/catalog/reviews/courses/ | 
[**catalogReviewsCoursesRetrieve**](CatalogApi.md#catalogreviewscoursesretrieve) | **GET** /api/catalog/reviews/courses/ | 
[**catalogRolesCreate**](CatalogApi.md#catalogrolescreate) | **POST** /api/catalog/roles/ | 
[**catalogRolesDesiredCreate**](CatalogApi.md#catalogrolesdesiredcreate) | **POST** /api/catalog/roles/desired/ | 
[**catalogRolesDesiredRetrieve**](CatalogApi.md#catalogrolesdesiredretrieve) | **GET** /api/catalog/roles/desired/ | 
[**catalogRolesReportedCreate**](CatalogApi.md#catalogrolesreportedcreate) | **POST** /api/catalog/roles/reported/ | 
[**catalogRolesReportedRetrieve**](CatalogApi.md#catalogrolesreportedretrieve) | **GET** /api/catalog/roles/reported/ | 
[**catalogRolesRetrieve**](CatalogApi.md#catalogrolesretrieve) | **GET** /api/catalog/roles/ | 
[**catalogSearchProgramsCreate**](CatalogApi.md#catalogsearchprogramscreate) | **POST** /api/catalog/search/programs/ | 
[**catalogSkillsCreate**](CatalogApi.md#catalogskillscreate) | **POST** /api/catalog/skills/ | 
[**catalogSkillsDesiredCreate**](CatalogApi.md#catalogskillsdesiredcreate) | **POST** /api/catalog/skills/desired/ | 
[**catalogSkillsDesiredRetrieve**](CatalogApi.md#catalogskillsdesiredretrieve) | **GET** /api/catalog/skills/desired/ | 
[**catalogSkillsReportedCreate**](CatalogApi.md#catalogskillsreportedcreate) | **POST** /api/catalog/skills/reported/ | 
[**catalogSkillsReportedRetrieve**](CatalogApi.md#catalogskillsreportedretrieve) | **GET** /api/catalog/skills/reported/ | 
[**catalogSkillsRetrieve**](CatalogApi.md#catalogskillsretrieve) | **GET** /api/catalog/skills/ | 


# **catalogConditionalsCourseEligibilityRetrieve**
> catalogConditionalsCourseEligibilityRetrieve()



GET Retrieve prerequisite eligibility info for user/course  Params: user_id/username course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogConditionalsCourseEligibilityRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogConditionalsCourseEligibilityRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogConditionalsCoursePrerequisitesManageBulkCreate**
> catalogConditionalsCoursePrerequisitesManageBulkCreate()



Prerequisite bulk management view  Params: course_id  rules key_only

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogConditionalsCoursePrerequisitesManageBulkCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogConditionalsCoursePrerequisitesManageBulkCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogConditionalsCoursePrerequisitesManageRetrieve**
> catalogConditionalsCoursePrerequisitesManageRetrieve()



GET Retrieve prerequisite info for course  Params: course_id  key_only

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogConditionalsCoursePrerequisitesManageRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogConditionalsCoursePrerequisitesManageRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogCoursesCreate**
> catalogCoursesCreate()



POST Add a course to the database.  Params: course_id org name (optional)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogCoursesCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogCoursesCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogCoursesDestroy**
> catalogCoursesDestroy()



DELETE Remove a course from the database.  Params (all required): course_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogCoursesDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogCoursesDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogCoursesRetrieve**
> catalogCoursesRetrieve()



GET Retrieve courses matching query.  Params: course_id slug org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogCoursesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogCoursesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEligibilityCoursesCheckRetrieve**
> catalogEligibilityCoursesCheckRetrieve()



GET Check whether user is eligible to enroll in a course  Params: user_id course_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEligibilityCoursesCheckRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEligibilityCoursesCheckRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEligibilityCoursesRetrieve**
> catalogEligibilityCoursesRetrieve()



GET List 'eligible' courses for user.  Params: user_id org query

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEligibilityCoursesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEligibilityCoursesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEnrollmentCoursesSearchRetrieve**
> catalogEnrollmentCoursesSearchRetrieve()



GET Search course enrollments by filters  Params: user_id course_id slug org platform_key  Returns paginated enrollment results

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEnrollmentCoursesSearchRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEnrollmentCoursesSearchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEnrollmentProgramsCreate**
> catalogEnrollmentProgramsCreate()



POST Log user enrollment with program.  Params: user_id program_id org started (date string?) expired (date string?) active (default True)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEnrollmentProgramsCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEnrollmentProgramsCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEnrollmentProgramsDestroy**
> catalogEnrollmentProgramsDestroy()



DELETE Unenroll from program. Deactivates enrollment.  Params: user_id program_id org ignore_expiration

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEnrollmentProgramsDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEnrollmentProgramsDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogEnrollmentProgramsRetrieve**
> catalogEnrollmentProgramsRetrieve()



GET Search program enrollments user_id or program_id/slug should be required  Params: user_id program_id slug org program_type (string): 'standard', 'platform', 'custom'

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogEnrollmentProgramsRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogEnrollmentProgramsRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogIncrementCreate**
> catalogIncrementCreate()



POST Update auto increment information and retrieve a new ID.  Params: org: Platform org key: Platform key number_type: Type of number requested (course, program)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogIncrementCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogIncrementCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogIncrementRetrieve**
> catalogIncrementRetrieve()



GET Retrieve auto increment information.  Params: org key

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogIncrementRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogIncrementRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsCourseBulkCreate**
> catalogInvitationsCourseBulkCreate()



POST Add invites to the database  Params:  course_id source count <metadata fields>  OR  invitation_data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsCourseBulkCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsCourseBulkCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsCourseCreate**
> catalogInvitationsCourseCreate()



POST Add a single invite to the database  Params: course_id email active <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsCourseCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsCourseCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsCourseDestroy**
> catalogInvitationsCourseDestroy()



DELETE Remove an invitation from the database.  Params (all required): id: invitation (numeric) ID org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsCourseDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsCourseDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsCourseRedeemCreate**
> catalogInvitationsCourseRedeemCreate()



POST Redeem invites from empty invitations  Params:  course_id* source* <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsCourseRedeemCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsCourseRedeemCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsCourseRetrieve**
> catalogInvitationsCourseRetrieve()



GET Query course invitations  Params: course_id email source active verbose sort <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsCourseRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsCourseRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsPlatformBulkCreate**
> catalogInvitationsPlatformBulkCreate()



POST Add invites to the database  Params:  platform_key source count <metadata fields>  OR  invitation_data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsPlatformBulkCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsPlatformBulkCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsPlatformCreate**
> catalogInvitationsPlatformCreate()



POST Add a single invite to the database  Params: platform_key username/email <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsPlatformCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsPlatformCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsPlatformDestroy**
> catalogInvitationsPlatformDestroy()



DELETE Remove an invitation from the database.  Params (all required): id: invitation (numeric) ID org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsPlatformDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsPlatformDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsPlatformRedeemCreate**
> catalogInvitationsPlatformRedeemCreate()



POST Redeem invites from empty invitations  Params:  platform_key* source* <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsPlatformRedeemCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsPlatformRedeemCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsPlatformRetrieve**
> catalogInvitationsPlatformRetrieve()



GET Query platform invitations  Params: platform_key org email source active verbose sort <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsPlatformRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsPlatformRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsProgramBulkCreate**
> catalogInvitationsProgramBulkCreate()



POST Add invites to the database  Params:  program_key source count <metadata fields>  OR  invitation_data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsProgramBulkCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsProgramBulkCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsProgramCreate**
> catalogInvitationsProgramCreate()



POST Add a single invite to the database  Params: program_key email active <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsProgramCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsProgramCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsProgramDestroy**
> catalogInvitationsProgramDestroy()



DELETE Remove an invitation from the database.  Params (all required): id: invitation (numeric) ID org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsProgramDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsProgramDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsProgramRedeemCreate**
> catalogInvitationsProgramRedeemCreate()



POST Redeem invites from empty invitations  Params:  program_key* source* <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsProgramRedeemCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsProgramRedeemCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogInvitationsProgramRetrieve**
> catalogInvitationsProgramRetrieve()



GET Query program invitations  Params: program_key email source active verbose sort <metadata fields>

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogInvitationsProgramRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogInvitationsProgramRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataChoicesRetrieve**
> catalogMetadataChoicesRetrieve()



GET Query metadata choices  Params: field_key scope org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataChoicesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataChoicesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCourseCreate**
> catalogMetadataCourseCreate()



POST Update course metadata  Params: course_id metadata update (optional)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataCourseCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCourseCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCourseCreate2**
> catalogMetadataCourseCreate2(field)



POST Update course metadata  Params: course_id metadata update (optional)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataCourseCreate2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCourseCreate2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCoursePublicRetrieve**
> catalogMetadataCoursePublicRetrieve()



GET Query public course metadata  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataCoursePublicRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCoursePublicRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCoursePublicRetrieve2**
> catalogMetadataCoursePublicRetrieve2(field)



GET Query public course metadata  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataCoursePublicRetrieve2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCoursePublicRetrieve2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCourseRetrieve**
> catalogMetadataCourseRetrieve()



GET Query course metadata  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataCourseRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCourseRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataCourseRetrieve2**
> catalogMetadataCourseRetrieve2(field)



GET Query course metadata  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataCourseRetrieve2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataCourseRetrieve2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramCreate**
> catalogMetadataProgramCreate()



POST Update program metadata  TODO: program-key compatibility  Params: program_id org metadata update (optional)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataProgramCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramCreate2**
> catalogMetadataProgramCreate2(field)



POST Update program metadata  TODO: program-key compatibility  Params: program_id org metadata update (optional)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataProgramCreate2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramCreate2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramPublicRetrieve**
> catalogMetadataProgramPublicRetrieve()



GET Query public program metadata  TODO: program-key compatibility  Params: program_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataProgramPublicRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramPublicRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramPublicRetrieve2**
> catalogMetadataProgramPublicRetrieve2(field)



GET Query public program metadata  TODO: program-key compatibility  Params: program_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataProgramPublicRetrieve2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramPublicRetrieve2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramRetrieve**
> catalogMetadataProgramRetrieve()



GET Query program metadata  TODO: program-key compatibility  Params: program_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMetadataProgramRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMetadataProgramRetrieve2**
> catalogMetadataProgramRetrieve2(field)



GET Query program metadata  TODO: program-key compatibility  Params: program_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();
final String field = field_example; // String | 

try {
    api.catalogMetadataProgramRetrieve2(field);
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMetadataProgramRetrieve2: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **field** | **String**|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesCompletionsCourseCatalogRetrieve**
> catalogMilestonesCompletionsCourseCatalogRetrieve()



GET Retrieve catalog-compatible completion info for user  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesCompletionsCourseCatalogRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesCompletionsCourseCatalogRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesCompletionsCourseManageCreate**
> catalogMilestonesCompletionsCourseManageCreate()



POST Update completion info for course/user  Params: course_id user_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesCompletionsCourseManageCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesCompletionsCourseManageCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesCompletionsCourseManageRetrieve**
> catalogMilestonesCompletionsCourseManageRetrieve()



GET Retrieve completion info for course/user  Params: course_id user_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesCompletionsCourseManageRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesCompletionsCourseManageRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesCompletionsResourceManageCreate**
> catalogMilestonesCompletionsResourceManageCreate()



POST Update completion info for resource/user  Params: resource_id user_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesCompletionsResourceManageCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesCompletionsResourceManageCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesCompletionsResourceManageRetrieve**
> catalogMilestonesCompletionsResourceManageRetrieve()



GET Retrieve completion info for resource/user  Params: resource_id user_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesCompletionsResourceManageRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesCompletionsResourceManageRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesSkillPointsBlockCreate**
> catalogMilestonesSkillPointsBlockCreate()



POST Update skill point information for block  Params: block_id point_data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesSkillPointsBlockCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesSkillPointsBlockCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesSkillPointsBlockRetrieve**
> catalogMilestonesSkillPointsBlockRetrieve()



GET Retrieve skill information for block  Params: block_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesSkillPointsBlockRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesSkillPointsBlockRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesSkillPointsCourseCreate**
> catalogMilestonesSkillPointsCourseCreate()



POST Update skill point information for course  Params: course_id point_data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesSkillPointsCourseCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesSkillPointsCourseCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesSkillPointsCourseRetrieve**
> catalogMilestonesSkillPointsCourseRetrieve()



GET Retrieve skill information for course  Params: course_id

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesSkillPointsCourseRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesSkillPointsCourseRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogMilestonesSkillPointsUserRetrieve**
> catalogMilestonesSkillPointsUserRetrieve()



GET Retrieve user skill point info  Params: user_id/username

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogMilestonesSkillPointsUserRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogMilestonesSkillPointsUserRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogPathwaysCreate**
> catalogPathwaysCreate()



POST Add or update a pathway.  Params: pathway_id user_id name slug visible path: Array of dict with `course_id` keys [{'course_id': 'course-v1:A+B+C'}]

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogPathwaysCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogPathwaysCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogPathwaysDestroy**
> catalogPathwaysDestroy()



DELETE Remove a pathway from the database.  Params (all required): pathway_id user_id  Return: count type

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogPathwaysDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogPathwaysDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogPathwaysRetrieve**
> catalogPathwaysRetrieve()



GET Retrieve pathways matching query. Limited parameters.  Params: pathway_id user_id/username  Optional: name slug visible

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogPathwaysRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogPathwaysRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogProgramsCreate**
> catalogProgramsCreate()



POST Add or update a program.  Params: course_list: Array of dict with `course_id` keys [{'course_id': 'course-v1:A+B+C'}] # ~update: Whether this is strictly a create (if true, then will update or create)~

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogProgramsCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogProgramsCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogProgramsDestroy**
> catalogProgramsDestroy()



DELETE Remove a program from the database.  Params (all required): program_id org  Return: count type

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogProgramsDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogProgramsDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogProgramsRetrieve**
> catalogProgramsRetrieve()



GET Retrieve programs matching query. Limited parameters.  Params: program_id name slug enabled org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogProgramsRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogProgramsRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRecommendationCoursesRetrieve**
> catalogRecommendationCoursesRetrieve()



GET Get a 'next' course  Params: user_id course_id org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRecommendationCoursesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRecommendationCoursesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogResourcesCreate**
> catalogResourcesCreate()



POST Add or update a resource.  Params: id resource_type url name skills data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogResourcesCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogResourcesCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogResourcesDestroy**
> catalogResourcesDestroy()



DELETE Remove a resource from the database.  Params (all required): id user_id  Return: count type

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogResourcesDestroy();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogResourcesDestroy: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogResourcesRetrieve**
> catalogResourcesRetrieve()



GET Retrieve resources matching query. Limited parameters.  Params: id  Optional: resource_type item_id name

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogResourcesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogResourcesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogReviewsCoursesCreate**
> catalogReviewsCoursesCreate()



POST Add/update course reviews  Params: user_id/username course_id metadata  content rating  visible

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogReviewsCoursesCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogReviewsCoursesCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogReviewsCoursesRetrieve**
> catalogReviewsCoursesRetrieve()



GET Query course reviews  Params: course_id details (bool)

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogReviewsCoursesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogReviewsCoursesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesCreate**
> catalogRolesCreate()



POST Add or update a role.  Params: id name slug data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesDesiredCreate**
> catalogRolesDesiredCreate()



POST Add or update a role.  Params: user_id/username skills data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesDesiredCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesDesiredCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesDesiredRetrieve**
> catalogRolesDesiredRetrieve()



GET Retrieve desired skills for user  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesDesiredRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesDesiredRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesReportedCreate**
> catalogRolesReportedCreate()



POST Add or update a role.  Params: user_id/username skills data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesReportedCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesReportedCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesReportedRetrieve**
> catalogRolesReportedRetrieve()



GET Retrieve desired roles for user  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesReportedRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesReportedRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogRolesRetrieve**
> catalogRolesRetrieve()



GET Retrieve roles matching query. Limited parameters.  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogRolesRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogRolesRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSearchProgramsCreate**
> catalogSearchProgramsCreate()



POST Retrieve programs matching query.  Params: query --- org

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSearchProgramsCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSearchProgramsCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsCreate**
> catalogSkillsCreate()



POST Add or update a skill.  Params: id name slug data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsDesiredCreate**
> catalogSkillsDesiredCreate()



POST Add or update a skill.  Params: user_id/username skills data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsDesiredCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsDesiredCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsDesiredRetrieve**
> catalogSkillsDesiredRetrieve()



GET Retrieve desired skills for user  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsDesiredRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsDesiredRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsReportedCreate**
> catalogSkillsReportedCreate()



POST Add or update a skill.  Params: user_id/username skills data

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsReportedCreate();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsReportedCreate: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsReportedRetrieve**
> catalogSkillsReportedRetrieve()



GET Retrieve desired skills for user  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsReportedRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsReportedRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **catalogSkillsRetrieve**
> catalogSkillsRetrieve()



GET Retrieve skills matching query. Limited parameters.  Params: name id slug

### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getCatalogApi();

try {
    api.catalogSkillsRetrieve();
} catch on DioException (e) {
    print('Exception when calling CatalogApi->catalogSkillsRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

