# ibl_ai_data_manager_sdk.model.CourseCompletionSummaryDataOvertime

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**overtime** | [**BuiltMap&lt;String, JsonObject&gt;**](JsonObject.md) | Dates are keys and values are the value for the date in the key. e,g `{\"2020-01-01\": 30. ...}` | [optional] 
**totalUserCount** | **int** | Total unique active users in this period | 
**completedCount** | **int** | Total course completions | 
**completedPercent** | **double** | Completion percent for the time range | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


