# ibl_ai_data_manager_sdk.model.LearnerInformationAPIData

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**username** | **String** | learner username | 
**name** | **String** | learner Name | 
**email** | **String** | learner email | 
**dateJoined** | **String** | Registration Timestamp e.g 2022-05-05T00:00:00+00:00 | 
**lastActivity** | **String** | Last Activity Timestamp e.g 2022-05-05T00:00:00+00:00 | 
**totalAssessments** | **int** | Total assessments attempted | [optional] 
**totalTimeSpent** | **int** | Total time spent in seconds | [optional] 
**totalVideos** | **int** | Total videos watched | [optional] 
**courseCompletions** | **int** | Total courses completed | [optional] 
**timeSpentOvertime** | [**BuiltMap&lt;String, JsonObject&gt;**](JsonObject.md) |  | [optional] 
**continent** | **String** | last location - continent | [optional] 
**continentCode** | **String** | last location - continent code | [optional] 
**country** | **String** | last location - country | [optional] 
**countryCode** | **String** | last location - country code | [optional] 
**region** | **String** | last location - region | [optional] 
**regionCode** | **String** | last location - region code | [optional] 
**location** | **String** | last location | [optional] 
**city** | **String** | last location - city | [optional] 
**browser** | **String** | last known browser | [optional] 
**operatingSystem** | **String** | last known operating system | [optional] 
**resolution** | **String** | last known browser resolution | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


