# ibl_ai_data_manager_sdk.model.MathQuestionWithAnswer

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | 
**topic** | [**Topic**](Topic.md) |  | 
**subTopic** | [**SubTopic**](SubTopic.md) |  | 
**skillsAssessed** | [**BuiltList&lt;Skill&gt;**](Skill.md) |  | 
**content** | **String** |  | 
**difficulty** | **int** |  | [optional] 
**cognitiveSkills** | [**MathQuestionCognitiveSkills**](MathQuestionCognitiveSkills.md) |  | [optional] 
**grade** | **int** |  | [optional] 
**expectedTimeToSolve** | **String** |  | [optional] 
**relatedConcepts** | **String** |  | [optional] 
**hintsProvided** | **String** |  | [optional] 
**learningOutcomes** | **String** |  | [optional] 
**prerequisites** | **String** |  | [optional] 
**recommendedGradeLevel** | **String** |  | [optional] 
**expectedAnswer** | **String** | The answer to the math problem | [optional] 
**image** | **String** |  | [optional] 
**answerImage** | **String** |  | [optional] 
**createdAt** | [**DateTime**](DateTime.md) |  | 
**updatedAt** | [**DateTime**](DateTime.md) |  | 
**platform** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


