# ibl_ai_data_manager_sdk.model.MentorSettings

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | 
**displayName** | **String** |  | [optional] 
**profileImage** | **String** |  | [optional] 
**initialMessage** | **String** |  | [optional] 
**suggestedMessage** | **String** |  | [optional] 
**theme** | [**ThemeEnum**](ThemeEnum.md) |  | [optional] 
**userMessageColor** | **String** |  | [optional] 
**mentorBubbleColor** | **String** |  | [optional] 
**alignMentorBubble** | [**AlignMentorBubbleEnum**](AlignMentorBubbleEnum.md) |  | [optional] 
**mentor** | **String** |  | 
**metadata** | **String** |  | 
**mentorVisibility** | [**MentorSettingsMentorVisibility**](MentorSettingsMentorVisibility.md) |  | [optional] 
**enableImageGeneration** | **bool** |  | [optional] 
**customCss** | **String** |  | [optional] 
**allowAnonymous** | **String** |  | 
**mentorDescription** | **String** |  | 
**suggestedPrompts** | **String** |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


