# ibl_ai_data_manager_sdk.api.MonitoringApi

## Load the API package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**monitoringConnectorsRetrieve**](MonitoringApi.md#monitoringconnectorsretrieve) | **GET** /monitoring/connectors/ | 


# **monitoringConnectorsRetrieve**
> monitoringConnectorsRetrieve()



### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getMonitoringApi();

try {
    api.monitoringConnectorsRetrieve();
} catch on DioException (e) {
    print('Exception when calling MonitoringApi->monitoringConnectorsRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

