# ibl_ai_data_manager_sdk.model.OvertimeMeta

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**total** | **int** | Total records | 
**changeRange** | **int** | Change in range | [optional] [default to 0]
**changeLastSevenDays** | **int** | Change in last 7 days | [optional] [default to 0]
**changeLastThirtyDays** | **int** | Change in last 30 days | [optional] [default to 0]
**changeLastSevenDaysPercent** | **double** | Change in last 7 days in percentage | [optional] [default to 0.0]
**changeLastThirtyDaysPercent** | **double** | Change in last 30 days in percentage | [optional] [default to 0.0]
**changeRangePercent** | **double** | Change in range in percentage | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


