# ibl_ai_data_manager_sdk.model.PatchedMathStudent

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | [optional] 
**student** | **int** | edX user ID | [optional] 
**level** | **int** |  | [optional] 
**points** | **int** |  | [optional] 
**correctQuestionsForLevel** | **int** | Number of correctly answered questions at the student's current level | [optional] 
**noIncorrectQuestionsForLevel** | **int** | Number of incorrectly answered questions at the student's current level | [optional] 
**createdAt** | [**DateTime**](DateTime.md) |  | [optional] 
**updatedAt** | [**DateTime**](DateTime.md) |  | [optional] 
**acquiredSkills** | **String** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


