# ibl_ai_data_manager_sdk.model.PerlearnerGradingPerCourseAPIData

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**courseId** | **String** | Edx Course ID | 
**name** | **String** | Course Name | 
**gradedActivities** | **String** | Total problems in course | 
**submissions** | **int** | Cumulative problem submissions | 
**problemsAttempted** | **int** | Number of problems from total problems attempted | 
**assignmentsCorrect** | **int** | Number of problems answered correctly | 
**classAverage** | **double** | Average grade obtained by all learner in the course | 
**grade** | **double** | Learner course grade | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


