# ibl_ai_data_manager_sdk.model.PlatformList

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | **String** | The platform key | 
**name** | **String** | The name of the platform | [optional] 
**org** | **String** | The associated edX org code | [optional] 
**lmsUrl** | **String** | The LMS URL for the platform | [optional] 
**cmsUrl** | **String** | The CMS URL for the platform | [optional] 
**portalUrl** | **String** | The portal URL for the platform | [optional] 
**status** | [**PlatformListStatusEnum**](PlatformListStatusEnum.md) |  | [optional] 
**active** | **bool** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


