# ibl_ai_data_manager_sdk.model.ReportStatus

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**reportId** | **String** | Used to download the report | [optional] 
**reportName** | **String** | Report slug, this is passed when calling the create report endpoint | [optional] 
**state** | [**StateEnum**](StateEnum.md) | Report States

* `pending` - Pending
* `running` - Running
* `accumulating` - Accumulating
* `processing` - Processing
* `storing` - Storing
* `completed` - Completed
* `cancelled` - Cancelled
* `error` - Error | [optional] 
**startedOn** | **String** | Report request timestamp (ISO 8601) | [optional] 
**owner** | **String** | Report Owner | [optional] 
**expires** | **String** | When report would expire and not available for download anymore | [optional] 
**url** | **String** | Download link for report when available | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


