# ibl_ai_data_manager_sdk.api.SearchApi

## Load the API package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

All URIs are relative to *https://base.manager.mentor.iblai.tech*

Method | HTTP request | Description
------------- | ------------- | -------------
[**searchDocumentsearchRetrieve**](SearchApi.md#searchdocumentsearchretrieve) | **GET** /api/search/documentsearch/ | 
[**searchEsHealthRetrieve**](SearchApi.md#searcheshealthretrieve) | **GET** /api/search/es-health/ | 
[**searchRetrieve**](SearchApi.md#searchretrieve) | **GET** /search/ | 
[**searchSearchRetrieve**](SearchApi.md#searchsearchretrieve) | **GET** /api/search/search/ | 


# **searchDocumentsearchRetrieve**
> searchDocumentsearchRetrieve()



### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getSearchApi();

try {
    api.searchDocumentsearchRetrieve();
} catch on DioException (e) {
    print('Exception when calling SearchApi->searchDocumentsearchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **searchEsHealthRetrieve**
> searchEsHealthRetrieve()



### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getSearchApi();

try {
    api.searchEsHealthRetrieve();
} catch on DioException (e) {
    print('Exception when calling SearchApi->searchEsHealthRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **searchRetrieve**
> QueryEndpoint searchRetrieve()



### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getSearchApi();

try {
    final response = api.searchRetrieve();
    print(response);
} catch on DioException (e) {
    print('Exception when calling SearchApi->searchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**QueryEndpoint**](QueryEndpoint.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **searchSearchRetrieve**
> QueryEndpoint searchSearchRetrieve()



### Example
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';

final api = IblAiDataManagerSdk().getSearchApi();

try {
    final response = api.searchSearchRetrieve();
    print(response);
} catch on DioException (e) {
    print('Exception when calling SearchApi->searchSearchRetrieve: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**QueryEndpoint**](QueryEndpoint.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

