# ibl_ai_data_manager_sdk.model.UserSkill

## Load the model package
```dart
import 'package:ibl_ai_data_manager_sdk/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**skill** | [**Skill**](Skill.md) |  | 
**courses** | [**BuiltList&lt;CoursePoint&gt;**](CoursePoint.md) | Courses with skill and associated points | 
**resources** | [**BuiltList&lt;ResourcePoint&gt;**](ResourcePoint.md) | Resources with skill and associated points | 
**totalPoints** | **int** | Total points for skill | 
**percentile** | **double** | Percentile of points for user. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


