import 'package:test/test.dart';
import 'package:ibl_ai_data_manager_sdk/ibl_ai_data_manager_sdk.dart';


/// tests for AiAccountApi
void main() {
  final instance = IblAiDataManagerSdk().getAiAccountApi();

  group(AiAccountApi, () {
    // This is for creating llm credentials for a tenant.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.  Returns:      400: When the data is not valid, when the name already exists for the same tenant.      400: When the name already exists for the same tenant.      400: When the name already exists for the same tenant.      201 : Llm credential details.  Example Response:      POST : /api/ai-account/orgs/main/credential/ .      Request:       {                         \"name\": \"openai\",                         \"value\": {                             \"key\": \"sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\"                         },                         \"platform\": \"main\"                     }       Response:       {                         \"name\": \"openai\",                         \"value\": {                             \"key\": \"sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\"                         },                         \"platform\": \"main\"                     }
    //
    //Future<Credential> aiAccountOrgsCredentialCreate(String org, CredentialRequest credentialRequest) async
    test('test aiAccountOrgsCredentialCreate', () async {
      // TODO
    });

    // This is for updating llm credentials for a tenant.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.      NotFound: When the name passed is not found.  Returns:      400: When the data is not valid, when the name already exists for the same tenant.      400: When the name already exists for the same tenant.      400: When the name already exists for the same tenant.      200 : Llm credential details.  Example Response:      POST : /api/ai-account/orgs/main/credential/ .      Request:       {                         \"name\": \"openai\",                         \"value\": {                             \"key\": \"sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\"                         },                         \"platform\": \"main\"                     }       Response:       {                         \"name\": \"openai\",                         \"value\": {                             \"key\": \"sk-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\"                         },                         \"platform\": \"main\"                     }
    //
    //Future<Credential> aiAccountOrgsCredentialPartialUpdate(String org, { PatchedCredentialRequest patchedCredentialRequest }) async
    test('test aiAccountOrgsCredentialPartialUpdate', () async {
      // TODO
    });

    // This is for getting list of llm credentials for a tenant.  You can also filter the llm credentials by passing a query parameter name=<llm_name>.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.      NotFound: When the llm name passed in the paramter is not found.   Returns:      400: When the data is not valid.      200 : List of llm credentials.  Example Response:      GET : /api/ai-account/orgs/main/credential/ .      Response:       [                         {                             \"name\": \"openai\",                             \"value\": {                                 \"key\": \"sk-xxxxxxxxxxxxxxxxxxxxx\"                             },                             \"platform\": \"main\"                         },                         {                             \"name\": \"google\",                             \"value\": {                                 \"type\": \"service_account\",                                 \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                 \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"token_uri\": \"https://oauth2.googleapis.com/token\",                                 \"project_id\": \"xxxxxxxxxxxxxx\",                                 \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                                 \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"universe_domain\": \"googleapis.com\",                                 \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                                 \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                             },                             \"platform\": \"main\"                         }                     ]
    //
    //Future<Credential> aiAccountOrgsCredentialRetrieve(String org, { String name }) async
    test('test aiAccountOrgsCredentialRetrieve', () async {
      // TODO
    });

    // This is for creating integration credentials for a tenant.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.  Returns:      400: When the data is not valid, when the name already exists for the same tenant.      400: When the name already exists for the same tenant.      201 : Tntegration credential details.  Example Response:      POST : /api/ai-account/orgs/main/integration-credential/ .      Request:       {                         \"name\": \"google-drive\",                         \"value\": {                             \"type\": \"service_account\",                             \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                             \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"token_uri\": \"https://oauth2.googleapis.com/token\",                             \"project_id\": \"xxxxxxxxxxxxxx\",                             \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                             \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"universe_domain\": \"googleapis.com\",                             \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                             \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                         },                         \"platform\": \"main\"                     }       Response:       {                         \"name\": \"google-drive\",                         \"value\": {                             \"type\": \"service_account\",                             \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                             \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"token_uri\": \"https://oauth2.googleapis.com/token\",                             \"project_id\": \"xxxxxxxxxxxxxx\",                             \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                             \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"universe_domain\": \"googleapis.com\",                             \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                             \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                         },                         \"platform\": \"main\"                     }
    //
    //Future<IntegrationCredential> aiAccountOrgsIntegrationCredentialCreate(String org, CredentialRequest credentialRequest) async
    test('test aiAccountOrgsIntegrationCredentialCreate', () async {
      // TODO
    });

    // This is for updating Integration credentials for a tenant.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.      NotFound: When the name passed is not found.  Returns:      400: When the data is not valid, when the name already exists for the same tenant.      400: When the name already exists for the same tenant.      200 : Llm redential details.  Example Response:      POST : /api/ai-account/orgs/main/integration-credential/ .      Request:       {                         \"name\": \"google-drive\",                         \"value\": {                             \"type\": \"service_account\",                             \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                             \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"token_uri\": \"https://oauth2.googleapis.com/token\",                             \"project_id\": \"xxxxxxxxxxxxxx\",                             \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                             \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"universe_domain\": \"googleapis.com\",                             \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                             \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                         },                         \"platform\": \"main\"                     }       Response:       {                         \"name\": \"google-drive\",                         \"value\": {                             \"type\": \"service_account\",                             \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                             \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"token_uri\": \"https://oauth2.googleapis.com/token\",                             \"project_id\": \"xxxxxxxxxxxxxx\",                             \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                             \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                             \"universe_domain\": \"googleapis.com\",                             \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                             \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                         }                         \"platform\": \"main\"                     }
    //
    //Future<IntegrationCredential> aiAccountOrgsIntegrationCredentialPartialUpdate(String org, { PatchedCredentialRequest patchedCredentialRequest }) async
    test('test aiAccountOrgsIntegrationCredentialPartialUpdate', () async {
      // TODO
    });

    // This is for getting  a list of integration credentials for a tenant.  You can also filter the integration credentials by passing a query parameter name=<llm_name>.  Accessible to tenant admins only.  Raises:      NotFound: When tenant key is not found.      NotFound: When the  name passed in the paramter is not found.   Returns:      400: When the data is not valid.      200 : List of integration credentials.  Example Response:      GET : /api/ai-account/orgs/main/integration-credential/ .      Response:       [                         {                             \"name\": \"google-drive\",                             \"value\": {                                 \"type\": \"service_account\",                                 \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                 \"client_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"token_uri\": \"https://oauth2.googleapis.com/token\",                                 \"project_id\": \"xxxxxxxxxxxxxx\",                                 \"private_key\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"client_email\": \"xxx-xxx-sa@xx-xxxx.iam.gserviceaccount.com\",                                 \"private_key_id\": \"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\",                                 \"universe_domain\": \"googleapis.com\",                                 \"client_x509_cert_url\": \"https://www.googleapis.com/robot/v1/metadata/x509/xxxxxxxx.com\",                                 \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                             },                             \"platform\": \"main\"                         }                     ]
    //
    //Future<IntegrationCredential> aiAccountOrgsIntegrationCredentialRetrieve(String org, { String name }) async
    test('test aiAccountOrgsIntegrationCredentialRetrieve', () async {
      // TODO
    });

    // This is for  adding platform metadata. In order to use google as your LLM provider, you need to specify `google_project` (your google cloud project id) and `google_location`, which defaults to `us-central1`  Accessible to tenant admins only.  Raises:      NotFound: When platfom metadata is not found.  Returns:      201 : Platform metadata details.  Example Response:      GET : /api/ai-account/orgs/main/platform-metadata/ .      Request:        {                         \"data\": {                             \"services\": {                                 \"google\": {                                     \"credential\": {                                         \"type\": \"service_account\",                                         \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                         \"client_id\": \"\",                                         \"token_uri\": \"https://oauth2.googleapis.com/token\",                                         \"project_id\": \"NO PROJECT ID IS PROVIDED\",                                         \"private_key\": \"\",                                         \"client_email\": \"\",                                         \"private_key_id\": \"\",                                         \"universe_domain\": \"googleapis.com\",                                         \"client_x509_cert_url\": \"\",                                         \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 },                                 \"openai\": {                                     \"credential\": {                                         \"key\": \"NO KEY IS PROVIDED\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 }                             },                             \"active_llm\": \"openai\",                             \"active_stt\": \"google\",                             \"active_tts\": \"google\"                         }                     }      Response:       {                         \"metadata\": {                             \"services\": {                                 \"google\": {                                     \"credential\": {                                         \"type\": \"service_account\",                                         \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                         \"client_id\": \"\",                                         \"token_uri\": \"https://oauth2.googleapis.com/token\",                                         \"project_id\": \"NO PROJECT ID IS PROVIDED\",                                         \"private_key\": \"\",                                         \"client_email\": \"\",                                         \"private_key_id\": \"\",                                         \"universe_domain\": \"googleapis.com\",                                         \"client_x509_cert_url\": \"\",                                         \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 },                                 \"openai\": {                                     \"credential\": {                                         \"key\": \"NO KEY IS PROVIDED\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 }                             },                             \"active_llm\": \"openai\",                             \"active_stt\": \"google\",                             \"active_tts\": \"google\"                         }                     }
    //
    //Future<IBLAIPlatformMeta> aiAccountOrgsPlatformMetadataCreate(String org, IBLAIPlatformMetaRequest iBLAIPlatformMetaRequest) async
    test('test aiAccountOrgsPlatformMetadataCreate', () async {
      // TODO
    });

    // This is for getting platform metadata.  Accessible to tenant admins only.  Raises:      NotFound: When platfom metadata is not found.  Returns:      200 : Platform metadata details.  Example Response:      GET : /api/ai-account/orgs/main/platform-metadata/ .      Response:       {                         \"metadata\": {                             \"services\": {                                 \"google\": {                                     \"credential\": {                                         \"type\": \"service_account\",                                         \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                         \"client_id\": \"\",                                         \"token_uri\": \"https://oauth2.googleapis.com/token\",                                         \"project_id\": \"NO PROJECT ID IS PROVIDED\",                                         \"private_key\": \"\",                                         \"client_email\": \"\",                                         \"private_key_id\": \"\",                                         \"universe_domain\": \"googleapis.com\",                                         \"client_x509_cert_url\": \"\",                                         \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 },                                 \"openai\": {                                     \"credential\": {                                         \"key\": \"NO KEY IS PROVIDED\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 }                             },                             \"active_llm\": \"openai\",                             \"active_stt\": \"google\",                             \"active_tts\": \"google\"                         }                     }
    //
    //Future<BuiltList<IBLAIPlatformMeta>> aiAccountOrgsPlatformMetadataList(String org) async
    test('test aiAccountOrgsPlatformMetadataList', () async {
      // TODO
    });

    // This is for  updating platform metadata.  Accessible to tenant admins only.  Raises:      NotFound: When platfom metadata is not found.  Returns:      200 : Platform metadata details.  Example Response:      GET : /api/ai-account/orgs/main/platform-metadata/ .      Request:        {                         \"active_llm\": \"openai\",                         \"llms\": [\"google\", \"openai\"]                     }      Response:       {                         \"metadata\": {                             \"services\": {                                 \"google\": {                                     \"credential\": {                                         \"type\": \"service_account\",                                         \"auth_uri\": \"https://accounts.google.com/o/oauth2/auth\",                                         \"client_id\": \"\",                                         \"token_uri\": \"https://oauth2.googleapis.com/token\",                                         \"project_id\": \"NO PROJECT ID IS PROVIDED\",                                         \"private_key\": \"\",                                         \"client_email\": \"\",                                         \"private_key_id\": \"\",                                         \"universe_domain\": \"googleapis.com\",                                         \"client_x509_cert_url\": \"\",                                         \"auth_provider_x509_cert_url\": \"https://www.googleapis.com/oauth2/v1/certs\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 },                                 \"openai\": {                                     \"credential\": {                                         \"key\": \"NO KEY IS PROVIDED\"                                     },                                     \"llm_options\": {                                         \"temperature\": 0.7                                     }                                 }                             },                             \"active_llm\": \"openai\",                             \"active_stt\": \"google\",                             \"active_tts\": \"google\"                         }                     }
    //
    //Future<BuiltList<IBLAIPlatformMeta>> aiAccountOrgsPlatformMetadataUpdate(String org, { IBLAIPlatformMetaUpdateRequest iBLAIPlatformMetaUpdateRequest }) async
    test('test aiAccountOrgsPlatformMetadataUpdate', () async {
      // TODO
    });

    // This is for getting weekly tokens.  You can also filter the list  by passing a query parameter username=<username> and session_id=<session_id>.  Accessible to tenant admins only.  Raises:      NotFound: When organization is not found.      NotFound: When session id is not found.   Returns:      400: When the data is not valid.      200 : List of tokens.  Example Response:      GET : /api/ai-account/orgs/main/tokens/ .      Response:       [                         {                             \"date\": \"2024-02-05\",                             \"completion_tokens\": 2147483647,                             \"prompt_tokens\": 123456785                         }                     ]
    //
    //Future<BuiltList<APITokenCost>> aiAccountOrgsTokensList(String org, { String sessionId, String username }) async
    test('test aiAccountOrgsTokensList', () async {
      // TODO
    });

  });
}
