import 'package:test/test.dart';
import 'package:ibl_ai_data_manager_sdk/ibl_ai_data_manager_sdk.dart';


/// tests for EngagementApi
void main() {
  final instance = IblAiDataManagerSdk().getEngagementApi();

  group(EngagementApi, () {
    // Engagement information on a per-course basis
    //
    //Future<EngagementPerCourse> engagementOrgsActivityRetrieve(String org, { String format, int groupId, int length, int page }) async
    test('test engagementOrgsActivityRetrieve', () async {
      // TODO
    });

    // Aggregated table of enrollments,and completed count on a per-course basis
    //
    //Future<CourseCompletionPerCourse> engagementOrgsCourseCompletionPerCourseRetrieve(String org, { String format, int groupId, int length, int page }) async
    test('test engagementOrgsCourseCompletionPerCourseRetrieve', () async {
      // TODO
    });

    // Average time spent in secs on a per-day basis  Query Params 1. start_date e.g 2020-10-01 2. end_date e.g 2020-10-10 3. course_id <optional>  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<AverageOvertime> engagementOrgsCoursesTimeAverageRetrieve(String courseId, String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsCoursesTimeAverageRetrieve', () async {
      // TODO
    });

    // Time spent per course in secs in a tree like form  Kwargs course_id e.g course-v1:Org+Course4+Run  Query Params 1. start_date <optional> e.g 2020-10-01 2. end_date <optional> e.g 2020-10-10
    //
    //Future<TimeDetail> engagementOrgsCoursesTimeDetailRetrieve(String courseId, String org, { String format, int groupId }) async
    test('test engagementOrgsCoursesTimeDetailRetrieve', () async {
      // TODO
    });

    // Time spent per course in secs on a per-day basis  Query Params 1. start_date e.g 2020-10-01 2. end_date e.g 2020-10-10 Kwargs 3. course_id  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> engagementOrgsCoursesTimeOverTimeRetrieve(String courseId, String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsCoursesTimeOverTimeRetrieve', () async {
      // TODO
    });

    // Time spent within a course in ordered hierarchical format  Kwargs 1. course_id  e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email) Query Params 3. start_date <optional> e.g 2020-10-01 4. end_date <optional> e.g 2020-10-10
    //
    //Future<PerLearnerTimeSpentInCourseTree> engagementOrgsCoursesTimeUsersDetailRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsCoursesTimeUsersDetailRetrieve', () async {
      // TODO
    });

    // Time spent in secs on a per-day basis  Query Params 1. course_id <optional> e.g course-v1:Org+Course4+Run 2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email) 3. start_date e.g 2020-10-01 4. end_date e.g 2020-10-10  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> engagementOrgsCoursesTimeUsersOverTimeRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsCoursesTimeUsersOverTimeRetrieve', () async {
      // TODO
    });

    // Time spent by users in a course  Query Params course_id  e.g course-v1:Org+Course4+Run
    //
    //Future<TimeSpentByUsersInCourse> engagementOrgsCoursesTimeUsersRetrieve(String courseId, String org, { String endDate, String format, int groupId, int length, int page, String startDate }) async
    test('test engagementOrgsCoursesTimeUsersRetrieve', () async {
      // TODO
    });

    //  Watched Videos count on a per-day basis  Kwargs  1. course_id <optional> e.g course-v1:Org+Course4+Run  2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email)   Query Params  3. start_date e.g 2020-10-01  4. end_date e.g 2020-10-10   Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> engagementOrgsCoursesVideosOverTimeRetrieve(String courseId, String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsCoursesVideosOverTimeRetrieve', () async {
      // TODO
    });

    // Engagement information (video) for a specific course
    //
    //Future<VideosSpecificCourse> engagementOrgsCoursesVideosRetrieve(String courseId, String org, { String format, int groupId }) async
    test('test engagementOrgsCoursesVideosRetrieve', () async {
      // TODO
    });

    // Returns a Simplified tree structure of videos watched in course Kwargs course_id  e.g course-v1:Org+Course4+Run
    //
    //Future<VideosInCourseSummary> engagementOrgsCoursesVideosSummaryRetrieve(String courseId, String org, { String format, int groupId }) async
    test('test engagementOrgsCoursesVideosSummaryRetrieve', () async {
      // TODO
    });

    // List of users' videos completed records for a specific course  Kwargs course_id  e.g course-v1:Org+Course4+Run
    //
    //Future<WatchedVideosPerUser> engagementOrgsCoursesVideosUsersRetrieve(String courseId, String org, { String format, int groupId }) async
    test('test engagementOrgsCoursesVideosUsersRetrieve', () async {
      // TODO
    });

    // Average time spent by a learner in enrolled courses. Gives a rough estimate of whats the average time that would be spent by a learner in a course  Query Params 1. start_date e.g 2020-10-01 2. end_date e.g 2020-10-10
    //
    //Future<AverageOvertime> engagementOrgsTimeAveragePerlearnerPercourseRetrieve(String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsTimeAveragePerlearnerPercourseRetrieve', () async {
      // TODO
    });

    // Average time spent in secs on a per-day basis  Query Params 1. start_date e.g 2020-10-01 2. end_date e.g 2020-10-10 3. course_id <optional>  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<AverageOvertime> engagementOrgsTimeAverageWithOverTimeRetrieve(String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsTimeAverageWithOverTimeRetrieve', () async {
      // TODO
    });

    // Time spent in secs on a per-day basis  Query Params 1. start_date e.g 2020-10-01 2. end_date e.g 2020-10-10  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<OvertimeWithChangeInfo> engagementOrgsTimeOverTimeRetrieve(String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsTimeOverTimeRetrieve', () async {
      // TODO
    });

    // Aggregated time spent value on a per course basis
    //
    //Future<TimeSpentPerCourse> engagementOrgsTimePerCourseRetrieve(String org, { String endDate, String format, int groupId, int length, int page, String startDate }) async
    test('test engagementOrgsTimePerCourseRetrieve', () async {
      // TODO
    });

    //  Watched Videos count on a per-day basis  Kwargs  1. course_id <optional> e.g course-v1:Org+Course4+Run  2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email)   Query Params  3. start_date e.g 2020-10-01  4. end_date e.g 2020-10-10   Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> engagementOrgsVideosOverTimeRetrieve(String org, { String endDate, String format, int groupId, String startDate }) async
    test('test engagementOrgsVideosOverTimeRetrieve', () async {
      // TODO
    });

    // Video Engagement information on a per-course basis
    //
    //Future<VideoEngagementPerCourse> engagementOrgsVideosRetrieve(String org, { String format, int groupId, int length, int page }) async
    test('test engagementOrgsVideosRetrieve', () async {
      // TODO
    });

  });
}
