import 'package:test/test.dart';
import 'package:ibl_ai_data_manager_sdk/ibl_ai_data_manager_sdk.dart';


/// tests for PerlearnerApi
void main() {
  final instance = IblAiDataManagerSdk().getPerlearnerApi();

  group(PerlearnerApi, () {
    // Provides information on user enrollments  Params user_id e.g developer@ibleducation.com| developer
    //
    //Future<ActivityAPI> perlearnerOrgsUsersActivityRetrieve(String org, String userId, { String format, int groupId }) async
    test('test perlearnerOrgsUsersActivityRetrieve', () async {
      // TODO
    });

    // Provides about a learner current grade in a course with the course cut Kwargs 1. course_id e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email)
    //
    //Future<PerlearnerGradeWithCutOff> perlearnerOrgsUsersCoursesGradingCutoffsRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesGradingCutoffsRetrieve', () async {
      // TODO
    });

    // Mixin that includes the StudentTokenAuthentication and IsAdminUserOrStudent
    //
    //Future<DetailedGradeView> perlearnerOrgsUsersCoursesGradingDetailRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesGradingDetailRetrieve', () async {
      // TODO
    });

    // Query Params 1. course_id e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email)
    //
    //Future<PerlearnerGradeSummary> perlearnerOrgsUsersCoursesGradingSummaryRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesGradingSummaryRetrieve', () async {
      // TODO
    });

    // Average of days with atleast an activity within ENGAGEMENT_INDEX_PERIOD consecutive days for a learner in a course
    //
    //Future<Value> perlearnerOrgsUsersCoursesOverviewEngagementIndexRetrieve(String courseId, String org, String userId) async
    test('test perlearnerOrgsUsersCoursesOverviewEngagementIndexRetrieve', () async {
      // TODO
    });

    // Provides about a learner current grade in a course with the course cut Kwargs 1. course_id e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email)
    //
    //Future<PerlearnerGradeWithCutOff> perlearnerOrgsUsersCoursesOverviewGradeRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesOverviewGradeRetrieve', () async {
      // TODO
    });

    // Evaluates performance index for platform, per course, per user and per user-per course  Query Params course_id <optional> learner_id <optional>
    //
    //Future<Value> perlearnerOrgsUsersCoursesOverviewPerformanceIndexRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesOverviewPerformanceIndexRetrieve', () async {
      // TODO
    });

    // Time spent within a course in secs on a per-day basis  Kwargs 1. course_id  e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email) Query Params 3. start_date e.g 2020-10-01 4. end_date e.g 2020-10-10  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> perlearnerOrgsUsersCoursesOverviewTimeOverTimeRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesOverviewTimeOverTimeRetrieve', () async {
      // TODO
    });

    //  Watched Videos count on a per-day basis  Kwargs  1. course_id <optional> e.g course-v1:Org+Course4+Run  2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email)   Query Params  3. start_date e.g 2020-10-01  4. end_date e.g 2020-10-10   Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> perlearnerOrgsUsersCoursesVideosOverTimeRetrieve(String courseId, String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersCoursesVideosOverTimeRetrieve', () async {
      // TODO
    });

    // List of videos within a course a learner has watched  Kwargs 1. course_id e.g course-v1:Org+Course4+Run 2. user_id e.g developer@ibleducation.com or dev123 (username|email)  Default result when no query param is added is [], 0
    //
    //Future<PerLearnerCourseVideosWatched> perlearnerOrgsUsersCoursesVideosRetrieve(String courseId, String org, String userId, { String format, int groupId }) async
    test('test perlearnerOrgsUsersCoursesVideosRetrieve', () async {
      // TODO
    });

    // Summary Grading Information for a learner on a per-enrollment basis  Query Params 1. user_id e.g developer@ibleducation.com or dev123 (username|email)
    //
    //Future<PerlearnerGradingPerCourseAPI> perlearnerOrgsUsersGradesPerCourseRetrieve(String org, String userId, { String format, int groupId }) async
    test('test perlearnerOrgsUsersGradesPerCourseRetrieve', () async {
      // TODO
    });

    // Returns dictionary of user PII
    //
    //Future<LearnerInformationAPI> perlearnerOrgsUsersInfoRetrieve(String org, String userId, { String format, int groupId, String meta, String search }) async
    test('test perlearnerOrgsUsersInfoRetrieve', () async {
      // TODO
    });

    // Last course accessed by a learner, includes upto unit information as well
    //
    //Future<PerLearnerLastAccess> perlearnerOrgsUsersLastAccessRetrieve(String org, String userId, { String format, int groupId }) async
    test('test perlearnerOrgsUsersLastAccessRetrieve', () async {
      // TODO
    });

    // Average of days with atleast an activity within ENGAGEMENT_INDEX_PERIOD consecutive days
    //
    //Future<Value> perlearnerOrgsUsersOverviewEngagementIndexRetrieve(String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersOverviewEngagementIndexRetrieve', () async {
      // TODO
    });

    // Average grade value for platform, course, or user.  Query Params course_id <optional>  e.g course-v1:Org+Course4+Run learner_id <optional> e.g std123 , student@email.com
    //
    //Future<Average> perlearnerOrgsUsersOverviewGradesAverageRetrieve(String org, String userId, { String format, int groupId }) async
    test('test perlearnerOrgsUsersOverviewGradesAverageRetrieve', () async {
      // TODO
    });

    // Evaluates performance index for platform, per course, per user and per user-per course  Query Params course_id <optional> learner_id <optional>
    //
    //Future<Value> perlearnerOrgsUsersOverviewPerformanceIndexRetrieve(String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersOverviewPerformanceIndexRetrieve', () async {
      // TODO
    });

    // Time spent in secs on a per-day basis  Query Params 1. course_id <optional> e.g course-v1:Org+Course4+Run 2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email) 3. start_date e.g 2020-10-01 4. end_date e.g 2020-10-10  Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> perlearnerOrgsUsersOverviewTimeOverTimeRetrieve(String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersOverviewTimeOverTimeRetrieve', () async {
      // TODO
    });

    // List of entire learners on the platform with aggregated enrollments, completions and time spent
    //
    //Future<PerlearnerUserList> perlearnerOrgsUsersRetrieve(String org, { String format, int groupId, int length, int page, String search }) async
    test('test perlearnerOrgsUsersRetrieve', () async {
      // TODO
    });

    //  Watched Videos count on a per-day basis  Kwargs  1. course_id <optional> e.g course-v1:Org+Course4+Run  2. user_id <optional> e.g developer@ibleducation.com or dev123 (username|email)   Query Params  3. start_date e.g 2020-10-01  4. end_date e.g 2020-10-10   Default result when no query param is added is last_7_days (today inclusive)
    //
    //Future<Overtime> perlearnerOrgsUsersVideosOverTimeRetrieve(String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersVideosOverTimeRetrieve', () async {
      // TODO
    });

    // Summary Videos watched data for a learner per enrollment  Query Params 1. user_id e.g developer@ibleducation.com or dev123 (username|email)
    //
    //Future<PerlearnerEngagementVideosWatchedPerCourse> perlearnerOrgsUsersVideosPerCourseRetrieve(String org, String userId, { String endDate, String format, int groupId, String startDate }) async
    test('test perlearnerOrgsUsersVideosPerCourseRetrieve', () async {
      // TODO
    });

  });
}
